Subject: bug#22551: 24.5; M-x grep: can't add option after default option list

From: Glenn Morris <[email-masked]>
Date: Thu, 04 Feb 2016 12:32:31 -0500

Benoit Coste wrote:

> When I type M-x grep, this is what I get.
>
> Run grep (like this): grep --color -nH -e
>
> If if try to add an option after the '-e', let's say '-R', Emacs thinks
> the option is the pattern I am looking for instead of considering it as
> an option.

We assume familiarity with grep options. The -e option of grep takes an
argument, namely the pattern to search for. You can either add your
option before the -e, or maybe you are interested in M-x rgrep.
I don't see this as an Emacs bug.